# `Full` Coda
An example coda that makes use of most coda features.

## `Example` Data
An example data, containing fields for
each of the built-in data type.s

+ `num_1` u8
+ `num_2` u16
+ `num_3` u32
+ `num_4` u64
+ `num_5` i8
+ `num_6` i16
+ `num_7` i32
+ `num_8` i64
+ `num_9` f32
+ `num_10` f64
+ `boolean` bool
+ `message` text
+ `listing` list of text
+ `mapping` map of text to f32
+ `optional_message` optional text